With the advances in 3D models editing and 3D reconstruction techniques, more and more 3D models are available and their quality is increasing.
Furthermore, the support of 3D visualization on the web has become standard during the last years.
A major challenge is thus to deliver these remote heavy models and to allow users to visualise and navigate in these virtual environments.
This thesis focuses on 3D content streaming and interaction, and proposes three major contributions.

First, *we develop a 3D scene navigation interface with bookmarks* -- small virtual objects added to the scene that the user can click on to ease reaching a recommended location.
We describe a user study where participants navigate in 3D scenes with and without bookmarks.
We show that users navigate (and accomplish a given task) faster when using bookmarks.
However, this faster navigation has a drawback on the streaming performance: a user who moves faster in a scene requires higher streaming capabilities in order to enjoy the same quality of service.
This drawback can be mitigated using the fact that bookmarks positions are known in advance: by ordering the faces of the 3D model according to their visibility at a bookmark, we optimize the streaming and thus, decrease the latency when users click on bookmarks.

Secondly, *we propose an adaptation of Dynamic Adaptive Streaming over HTTP (DASH), the video streaming standard, to 3D textured meshes streaming*.
To do so, we partition the scene into a k-d tree where each cell corresponds to a DASH adaptation set.
Each cell is further divided into DASH segments of a fixed number of faces, grouping together faces of similar areas.
Each texture is indexed in its own adaptation set, and multiple DASH representations are available for different resolutions of the textures.
All the metadata (the cells of the k-d tree, the resolutions of the textures, etc.) is encoded in the Media Presentation Description (MPD): an XML file that DASH uses to index content.
Thus, our framework inherits DASH scalability.
We then propose clients capable of evaluating the usefulness of each chunk of data depending on their viewpoint, and streaming policies that decide which chunks to download.

Finally, *we investigate the setting of 3D streaming and navigation on mobile devices*.
We integrate bookmarks in our 3D version of DASH and propose an improved version of our DASH client that benefits from bookmarks.
A user study shows that with our dedicated bookmark streaming policy, bookmarks are more likely to be clicked on, enhancing both users quality of service and quality of experience.

