== Introduction

In @bi, we described how it is possible to modify a user interface to ease user navigation in a 3D scene, and how the system can benefit from it.
In @d3, we presented the DASH-3D streaming system, which does not depend on the interface nor on the user interaction.
In this chapter, we will analyze how the user interaction can impact performances of DASH-3D.
In order to do so, we follow these two steps based on our DASH framework:

- we design an interface allowing to navigate in a 3D scene on both desktop and mobile devices;
- we improve and adapt the bookmarks described in @bi to the context of DASH-3D and to mobile interaction.

In @m:interaction, we present the different choices we made for the interfaces, and we describe the new mobile interface.
In Section~\ref{sb:bookmarks}, we describe how we embed the bookmarks into our DASH framework, and how we precompute data in order to improve the user quality of experience.
In Section~\ref{sb:evaluation}, we describe the user study we conducted, the data we collected and we analyse the results.
