#import "../template.typ"

#template.beforeChapter()
= Bookmarks for DASH-3D on mobile devices<m>
#template.afterNumberedChapter()

The growing capabilities and usage of mobile devices, especially smartphones, nowadays incur a progressive shift of many applications from desktop to mobile devices. In order to be made available and usable by the greater audience, 3D streaming and visualization should also be possible on mobile devices.

However, desktop devices tend to be much more powerful, have a larger memory and better network connections than mobile devices.
In addition, the interactive modalities of these two types of devices are not comparable in any way: the desktop mostly uses keyboard and mouse, whereas most of the mobile devices only have a touchscreen, as well as various additional sensors (accelerometer, gyroscope, GPS, etc.).
For these reasons, using DASH to stream 3D on mobile devices requires specific adaptations, that we describe in this chapter.


We add some widgets on the screen to support touch interactions: a virtual joystick is displayed on the screen and the user can touch it to translate the camera, instead of using the W, A, S and D keys on a computer keyboard.
Since most mobile devices embed a gyroscope, we allow users to rotate the camera by physically rotating the device.
This interaction is more precise and intuitive to the user, but it is also more tiring, this is why we also added a touch interaction to rotate the screen: a user can also "touch and drag" at any point on the screen that does not correspond to the joystick to rotate the camera.
In order to ease navigation, we integrate bookmarks back, and we propose an enhanced version of the precomputations explained in @d3 that we encode in the DASH Media Presentation Description.
We then present a user study on 18 participants, which evaluates how users perceive the visual quality of the scene, and how their interactions affect it.

#pagebreak()

#include("introduction.typ")
#include("bookmark.typ")
#include("conclusion.typ")
