#import "../template.typ"

#template.beforeChapter()
= Bookmarks, navigation and streaming<bi>
#template.afterNumberedChapter()

#figure(
  grid(
    columns: (1fr, 0.2fr, 1fr),
    align(center + top)[
      #figure(
        image("../assets/preliminary-work/bookmarks/camera-bookmark.png", width: 100%),
        caption: [Viewport display of a bookmark]
      )
    ],

    [],

    align(center + top)[
      #figure(
        image("../assets/preliminary-work/bookmarks/arrow-bookmark.png", width: 100%),
        caption: [Arrow display of a bookmark]
      )
    ],

    align(center + top)[
      #figure(
        image("../assets/preliminary-work/bookmarks/arrow-bookmark-with-preview.png", width: 100%),
        caption: [A preview is shown when the mouse hovers a bookmark]
      )
    ],

    [],

    align(center + top)[
      #figure(
        image("../assets/preliminary-work/bookmarks/coin.png", width: 100%),
        caption: [A coin is hidden behind the curtain]
      )
    ],
  ),
  caption: [3D bookmarks propose to move to a new viewpoint; when the user clicks on the bookmark, his viewpoint moves to the indicated viewpoint.]
)

In this chapter, we present our first contribution: an analysis of the impact of bookmarks on navigation and streaming.

We implement a 3D navigation interface where the keyboard translates the camera and the mouse rotates it.
We augment this interface with 3D bookmarks.
When the user's cursor hovers a bookmark, a preview of the point of view is displayed to the user, and when the user clicks on a bookmark, the camera smoothly moves from its current position to the bookmarked point of view.
We conduct a within-subject user-study on 51 participants, where each user starts with a tutorial to get used to the 3D navigation controls, and then tries successively to perform a task with and without bookmarks.
We show that not only the presence of bookmarks causes a faster task completion, but also that it allows users to see a larger part of the scene during the same time span.

However, in a streaming scenario, this phenomenon leads to higher network requirements to maintain the same quality of service.
In the last part of this chapter, we simulate a streaming setup and we show that knowing the positions of the bookmarks beforehand allows us to precompute information that we can reuse during streaming to compensate for the harm caused by the faster navigation with bookmarks.

#pagebreak()

#include "intro.typ"
#include "bookmarks-impact.typ"
#include "streaming.typ"
