== Introduction

In this chapter, we take a little step back from interaction and propose a system with simple interactions that however, addresses most of the open problems mentioned in @i:challenges[Section].
We take inspiration from video streaming: working on the similarities between video streaming and 3D streaming (seen in @i:video-vs-3d[Section]), we benefit from the DASH efficiency (seen in @rw:dash[Section]) for streaming 3D content.
DASH is based on content preparation and structuring which helps not only the streaming policies but also leads to a scalable and efficient system since it moves completely the load from the server to the clients.
A DASH client downloads the structure of the content, and then, depending on its needs and independently of the server, decides what to download.

In this chapter, we show how to mimic DASH video with 3D streaming, and we develop a system that keeps DASH benefits.
@d3:dash-3d[Section] describes our content preparation and metadata, and all the preprocessing that is done to our model to allow efficient streaming.
Section~\ref{d3:dash-client} gives possible implementations of clients that exploit the content structure.
Section~\ref{d3:evaluation} evaluates the impact of the different parameters that appear both in the content preparation and the client.
Finally, Section~\ref{d3:conclusion} sums up our work and explains how it tackles the challenges raised in the conclusion of the previous chapter.
